Bug 320051 - Insert->Formula in OO.org Writer Crashes Program
Insert->Formula in OO.org Writer Crashes Program
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-05 09:11 EDT by Sean Stangl
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-08 09:37:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Crash log (8.89 KB, text/plain)
2007-10-05 09:11 EDT, Sean Stangl
no flags Details

  None (edit)
Description Sean Stangl 2007-10-05 09:11:02 EDT
Description of problem:
Attempting to insert a formula into an OpenOffice document crashes the program
once the formula-entering window is exited and the formula is being drawn on the
page.

Version-Release number of selected component (if applicable):
openoffice.org-writer-2.2.1-18.2.fc7

How reproducible:
Always

The crash log is attached.
Comment 1 Sean Stangl 2007-10-05 09:11:02 EDT
Created attachment 217321 [details]
Crash log
Comment 2 Caolan McNamara 2007-10-05 09:28:04 EDT
Every time ? I don't get this problem with I just stick a formula into a writer
document 
Comment 3 Sean Stangl 2007-10-05 10:43:36 EDT
Yes, this is reproducible every time on my computer.

To reproduce:
1) Start a new incidence of OO.org-writer with a fresh page
2) Insert->Object->Formula
3) Type anything or nothing into the formula entry area
4) Click on a blank area of the page.

The formula area becomes grayed-out, and about a second later OO.org crashes
with the error log I attached above.
Comment 4 Sean Stangl 2007-10-05 10:49:03 EDT
Further testing reveals that the problem extends beyond just the formula applet:

If I start a new copy of oo.org-writer and choose File->Exit, the program also
crashes with a similar log.

Testing reveals that this is not dependent on anything in my
~/.openoffice.org2.0; the crashes happen with a fresh environment.
Comment 5 Caolan McNamara 2007-10-05 11:12:55 EDT
Most odd, I wonder why I'm not seeing anything like this on my F-7 box.
Comment 6 Sean Stangl 2007-10-08 09:37:30 EDT
The bugs were fixed by re-installing the openoffice* packages, and the bug
cannot be reproduced. Resolving and marking NOTABUG to close.
Comment 7 Caolan McNamara 2007-10-08 09:47:34 EDT
let me know if it happens again, there's always an outside chance that it is
triggered by prelink optimizations, in which case it would happen if prelink
gets run again, e.g. daily by cron

Note You need to log in before you can comment on or make changes to this bug.